package dev.shadowsoffire.apotheosis.spawn.compat;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.spawn.modifiers.SpawnerStats;
import dev.shadowsoffire.apotheosis.spawn.spawner.ApothSpawnerTile;
import dev.shadowsoffire.placebo.compat.TOPCompat;
import java.util.Objects;
import mcjty.theoneprobe.api.IProbeHitData;
import mcjty.theoneprobe.api.IProbeInfo;
import mcjty.theoneprobe.api.ProbeMode;
import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.block.entity.BlockEntity;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraftforge.fml.loading.FMLEnvironment;

public class SpawnerTOPPlugin implements TOPCompat.Provider {
  public static void register() {
    TOPCompat.registerProvider(new dev.shadowsoffire.apotheosis.spawn.compat.SpawnerTOPPlugin());
  }
  
  public void addProbeInfo(ProbeMode mode, IProbeInfo info, Player player, Level level, BlockState state, IProbeHitData hitData) {
    BlockEntity blockEntity = level.m_7702_(hitData.getPos());
    if (blockEntity instanceof ApothSpawnerTile) {
      ApothSpawnerTile spw = (ApothSpawnerTile)blockEntity;
      if (FMLEnvironment.dist.isDedicatedServer() || ClientAccess.hasControlDown()) {
        Objects.requireNonNull(info);
        SpawnerStats.generateTooltip(spw, info::mcText);
      } else {
        info.mcText((Component)Component.m_237115_("misc.apotheosis.ctrl_stats"));
      } 
    } 
  }
}
